<?php
require_once( "config.class.php" );
class like extends config {
	private $list_fd;

	function __construct() {
		parent::__construct();
		return( $this->list_fd = fopen( $this->homedir."/likelist.csv", "a+" ) );
	}

	public function addTitle( $title ) {
		if( is_string( $title ) AND strlen( $title ) > 0 AND strlen( $title ) < 256 ) {
			// Uhrzeit
			$towrite = date( "H:i" )." Uhr am ".date( "d.m.Y" ).",";
			// Sender
			$towrite .= (int)trim( shell_exec( "grep \",`cat ".$this->ramdrive."/current_stream`,\" ".$this->homedir."/streamlist| awk -F, '{print $1}'" ) ).",";
			// Titel
			$towrite .= str_replace( ",", "&#x2C;", $title )."\n";

			fwrite( $this->list_fd, $towrite );
		} else {
			return( false );
		}
	}

	public function delTitle( $id ) {
		$temp = tempnam( $this->ramdrive, 'tmp' );
		$num = 1;
		while( !feof( $this->list_fd ) ) {
			$buffer = fgets( $this->list_fd, 4096 );
			if( $num != $id ) {
				file_put_contents( $temp, $buffer, FILE_APPEND );
			}
			$num++;
		}
		fclose( $this->list_fd );
		rename( $this->homedir."/likelist.csv", $this->homedir."/likelist.old" );
		if( rename( $temp, $this->homedir."/likelist.csv" ) ) {
				unlink( $this->homedir."/likelist.old" );
				$this->list_fd = fopen( $this->homedir."/likelist.csv", "a+" );
				return( true );
		} else {
			$this->addError( "Konnte neue Likelist nicht speichern." );
			return( false );
		}
	}

	private function mkShopLink( $title ) {
		$base_url = "http://www.amazon.de/s/ref=nb_sb_noss?__mk_de_DE=%C5M%C5Z%D5%D1";
		$search_uri = "url=search-alias%3Ddigital-music&field-keywords=".str_replace( " ", "+", $title );
		$seller_id = "";
		return( $base_url."&amp;".$search_uri."&amp;".$seller_id );
	}

	public function getLikeList() {
		$_return = '		<table style="border: 1px solid blue; width: 90%; margin-right: auto; margin-left: auto" >
	<tr><th>Sender</th><th>Titel</th><th></th></tr>
';
		$color = "";
		while( ( $data = fgetcsv( $this->list_fd, 4096, "," ) ) !== FALSE ) {
			$color = ( $color == "98a9b8" ) ? "ccc" : "98a9b8";
			$_return .= '			<tr style="background: #'.$color.'" >';
			$_return .= '<td>'.trim( shell_exec( "egrep \"^".$data[1].",\" ".$this->homedir."/streamlist| awk -F, '{print $4}'" ) ).'</td>';
//			$_return .= '<td><a href="'.$this->mkShopLink( $data[2] ).'" target="_blank" title="'.$data[0].'" >'.$data[2].'</a></td>';
			$_return .= '<td><acronym title="'.$data[0].'" >'.$data[2].'<acronym></td>';
			$_return .= '<td><input type="image" src="img/remove.png" alt="l&ouml;schen" class="delete" /></td>';
			$_return .= "</tr>\n";
		}
		$_return .= "		</table>\n";
		return( $_return );
	}

	function __destruct() {
		fclose( $this->list_fd );
	}
}

?>