<?php
require_once( "phpinc/configure.class.php" );
$configure = new configure;

if( $_POST['cfg_start_save'] == "speichern" ) {
	$configure->set_startoptions( $_POST );
}
if( $_POST['cfg_ifcfg_submit'] == "speichern" ) {
	if( $_POST['cfg_ifcfg'] == "dhcp" ) {
		$configure->set_ipoptions( array( "cfg_ifcfg" => "dhcp" ) );
	} else {
		$configure->set_ipoptions( array(
			"cfg_ifcfg" => "static",
			"cfg_ip" => $_POST['cfg_ip1'].".".$_POST['cfg_ip2'].".".$_POST['cfg_ip3'].".".$_POST['cfg_ip4'],
			"cfg_sn" => $_POST['cfg_sn1'].".".$_POST['cfg_sn2'].".".$_POST['cfg_sn3'].".".$_POST['cfg_sn4'],
			"cfg_gw" => $_POST['cfg_gw1'].".".$_POST['cfg_gw2'].".".$_POST['cfg_gw3'].".".$_POST['cfg_gw4'],
			"cfg_ns" => $_POST['cfg_ns1'].".".$_POST['cfg_ns2'].".".$_POST['cfg_ns3'].".".$_POST['cfg_ns4']
		) );
	}
	// Aenderungen ins Dateisystem schreiben
	exec( "/bin/sync" );
}
if( $_POST['cfg_voblist'] != "0" AND $_POST['cfg_vobdel'] != "" ) {
	$configure->vobdel( $_POST['cfg_voblist'] );
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>VIP1710 Internetradio</title>
	<link rel="stylesheet" type="text/css" href="css/style.css" />
	<link rel="stylesheet" type="text/css" href="css/config.css" />
	<link rel="stylesheet" href="css/ui-lightness/jquery-ui-1.8.11.custom.css">
	<script type="text/javascript" src="js/jquery-1.5.1.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.11.custom.min.js"></script>
	<script type="text/javascript" src="js/configure.js" ></script>
</head>
<body>
	<div id="wraper" >
		<div id="head" ></div>
		<div id="menu" >
			<ul>
				<li><a href="index.php" title="Webplayer" ><img src="img/playsound.png" alt="" />&nbsp;Player</a></li>
				<li><a href="wecker.php" title="Wecker" ><img src="img/clock.png" alt="" />&nbsp;Wecker</a></li>
				<li><a href="config.php" title="Radio Konfigurieren" ><img src="img/settings.png" alt="" />&nbsp;Config</a></li>
				<li><a href="about.php" title="&Uuml;ber das Internetradio" ><img src="img/spacer.png" alt="" />About</a></li>
			</ul>
			<img src="img/corner.png" alt="" />
		</div>
		<br style="clear: left" />
		<div id="main" >
		<h1>Konfiguration</h1>
		<div id="config" >

		<h2>Sprachansagen</h2>
		<div>
		<div class="infotext" >
		&Uuml;ber dieses Formular k&ouml;nnen neue Sprachansagen f&uuml;r die Streams in der Playlist
		hochgeladen werden. Das Select-Men&uuml; erlaubt, nicht mehr ben&ouml;tigte Ansagetexte von der
		Box zu l&ouml;schen.
		</div>
		<form action="config.php" enctype="multipart/form-data" name="mp3upload" method="post" >
		<input type="hidden" name="MAX_FILE_SIZE" value="102400" />
		<input type="file" name="cfg_upload" /> <input type="submit" name="cfg_upload_submit" value="hochladen" />
		</form>
<?php
if( $_POST['cfg_upload_submit'] == "hochladen" ) {
	if( $configure->upload_vob() === false ) {
?>		Beim Upload der Datei ist mindestens ein Fehler aufgetreten:<br />
<?php
		foreach( $configure->get_errmsg() as $errmsg ) {
			echo "\t\t$errmsg<br />\n";
		}
	} else echo "Datei erfolgreich hochgeladen.";
}
?>		<br /><br />
		<form action="config.php" method="post" >
		<select name="cfg_voblist" >
			<option value="0" >bitte w&auml;hlen</option>
<?php
$voblist = $configure->get_voblist();
foreach( $voblist as $vob ) {
	echo '			<option value="'.$vob.'" >'.$vob.'</option>';
	echo "\n";
}
?>		</select>
		<input type="submit" name="cfg_vobdel" value="l&ouml;schen" />
		</form>
		<div class="clear" ></div>
		</div>

		<div id="ipcfg" >
			<h2>IP-Einstellungen</h2>
			<form action="config.php" method="post" name="ipcfg" >
<?php
$ipopts = $configure->get_ipoptions();
?>			<input type="radio" name="cfg_ifcfg" value="dhcp" <?php
echo ( $ipopts["IFUP"] == "dhcp" ) ? 'checked="checked"' : "";
?> onClick="ifcfgfields( false )" /> dynamisch per DHCP |
			statische Adresse <input type="radio" name="cfg_ifcfg" value="static" <?php
echo ( $ipopts["IFUP"] == "static" ) ? 'checked="checked"' : "";
?> onClick="ifcfgfields( true )" />
			<br /><br />
			<table>
			<tr>
				<td>IP-Adresse:</td>
				<td><input type="text" name="cfg_ip1" size="2" maxlength="3" value="<?php echo $ipopts['IP'][0] ?>" />.
			<input type="text" name="cfg_ip2" size="2" maxlength="3" value="<?php echo $ipopts['IP'][1] ?>" />.
			<input type="text" name="cfg_ip3" size="2" maxlength="3" value="<?php echo $ipopts['IP'][2] ?>" />.
			<input type="text" name="cfg_ip4" size="2" maxlength="3" value="<?php echo $ipopts['IP'][3] ?>" /></td>
			</tr><tr>
				<td>Subnetzmaske:</td>
				<td><input type="text" name="cfg_sn1" size="2" maxlength="3" value="<?php echo $ipopts['SNMASK'][0] ?>" />.
			<input type="text" name="cfg_sn2" size="2" maxlength="3" value="<?php echo $ipopts['SNMASK'][1] ?>" />.
			<input type="text" name="cfg_sn3" size="2" maxlength="3" value="<?php echo $ipopts['SNMASK'][2] ?>" />.
			<input type="text" name="cfg_sn4" size="2" maxlength="3" value="<?php echo $ipopts['SNMASK'][3] ?>" /></td>
			</tr><tr>
				<td>Gateway:</td>
				<td><input type="text" name="cfg_gw1" size="2" maxlength="3" value="<?php echo $ipopts['GATEWAY'][0] ?>" />.
			<input type="text" name="cfg_gw2" size="2" maxlength="3" value="<?php echo $ipopts['GATEWAY'][1] ?>" />.
			<input type="text" name="cfg_gw3" size="2" maxlength="3" value="<?php echo $ipopts['GATEWAY'][2] ?>" />.
			<input type="text" name="cfg_gw4" size="2" maxlength="3" value="<?php echo $ipopts['GATEWAY'][3] ?>" /></td>
			</tr><tr>
				<td>Nameserver:</td>
				<td><input type="text" name="cfg_ns1" size="2" maxlength="3" value="<?php echo $ipopts['NAMESERVER'][0] ?>" />.
			<input type="text" name="cfg_ns2" size="2" maxlength="3" value="<?php echo $ipopts['NAMESERVER'][1] ?>" />.
			<input type="text" name="cfg_ns3" size="2" maxlength="3" value="<?php echo $ipopts['NAMESERVER'][2] ?>" />.
			<input type="text" name="cfg_ns4" size="2" maxlength="3" value="<?php echo $ipopts['NAMESERVER'][3] ?>" /></td>
			</tr><tr>
				<td></td>
				<td><input type="submit" name="cfg_ifcfg_submit" value="speichern" /></td>
			</tr>
			</table>
			</form>
		</div>

		<div id="startopt" >
			<h2>Startoptionen</h2>
			<form action="config.php" method="post" name="startopt" >
<?php
$startopts = $configure->get_startoptions();
?>			Autostart nach Bootvorgang <input type="checkbox" name="cfg_autostart"<?php
echo ( $startopts['AUTOSTART'] == true ) ? ' checked="checked"' : "";
?> value="yes" />
			<br /><br />
			Startlautst&auml;rke <input type="text" name="cfg_volume" value="<?php echo $startopts['VOLUME'] ?>" size="2" maxlength="3" />
			<br /><br />
			Start-Stream <select name="cfg_stream" >
<?php
$streamlist = $configure->get_streamlist();
foreach( $streamlist as $key => $value ) {
	echo '<option value="'.$key.'" ';
	echo ( $key == $startopts["STREAM"] ) ? 'selected="selected" ' : "";
	echo '>'.$value["NAME"].'</option>';
	echo "\n";
}
?>			</select>
			<br /><br />
			<input type="submit" name="cfg_start_save" value="speichern" />
			</form>
		</div>

		</div>
		<p><img src="img/spacer.png" alt="" /></p>
		</div>
		<div id="footer">&copy; 2011 -2013 by <a href="http://thinksilicon.de/" title="Thinksilicon" target="_blank" >thinksilicon.de</a></div>
	</div>
</body>
</html>
